# Functor Deriving_Dump.Dump_alpha

    module Dump_alpha: functor (P : sig
    type a

    end) -> Dump  with type a = P.a

Parameters:

`P` | : | `sig type a end`

    type a

    val to_buffer : Buffer.t -> a -> unit

    val to_string : a -> string

    val to_channel : Pervasives.out_channel -> a -> unit

    val from_stream : char Stream.t -> a

    val from_string : string -> a

    val from_channel : Pervasives.in_channel -> a